| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_csio_int_cb Struct Reference
Multi Function Serial Interface (MFS)

CSIO interrupt callback function. More...

`#include <mfs.h>`

## Data Fields
func_ptr_t | pfnTxIntCb
| CSIO TX interrupt callback function.
func_ptr_t | pfnRxIntCb
| CSIO RX interrupt callback function.
func_ptr_t | pfnTxIdleCb
| CSIO TX idle interrupt callback function.
func_ptr_t | pfnTxFifoIntCb
| CSIO TX FIFO interrupt callback function.
func_ptr_t | pfnCsErrIntCb
| CSIO chip selection interrupt callback function.
func_ptr_t | pfnSerialTimerIntCb
| CSIO serial timer interrupt callback function.

## Detailed Description

CSIO interrupt callback function.

Definition at line 779 of file mfs.h.

## Field Documentation

func_ptr_t pfnCsErrIntCb

CSIO chip selection interrupt callback function.

Definition at line 785 of file mfs.h.

Referenced by Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerTx().

func_ptr_t pfnRxIntCb

CSIO RX interrupt callback function.

Definition at line 782 of file mfs.h.

Referenced by CsioRxData(), CsioRxReg(), Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerRx().

func_ptr_t pfnSerialTimerIntCb

CSIO serial timer interrupt callback function.

Definition at line 786 of file mfs.h.

Referenced by Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerStatus().

func_ptr_t pfnTxFifoIntCb

CSIO TX FIFO interrupt callback function.

Definition at line 784 of file mfs.h.

Referenced by Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerTx().

func_ptr_t pfnTxIdleCb

CSIO TX idle interrupt callback function.

Definition at line 783 of file mfs.h.

Referenced by Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerTx().

func_ptr_t pfnTxIntCb

CSIO TX interrupt callback function.

Definition at line 781 of file mfs.h.

Referenced by CsioRxData(), CsioRxReg(), CsioTxCmd(), CsioTxCmdAddr(), CsioTxData(), Mfs_Csio_DisableInt(), Mfs_Csio_EnableInt(), and MfsCsioIrqHandlerTx().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h